declare module 'crypto-js' {
	interface WordArray {
		toString(encoder?: unknown): string;
	}

	interface CipherParams {
		toString(): string;
	}

	const CryptoJS: {
		AES: {
			encrypt(message: string, passphrase: string): CipherParams;
			decrypt(ciphertext: string, passphrase: string): WordArray;
		};
		enc: {
			Utf8: unknown;
		};
	};

	export default CryptoJS;
}
